# Uses of Interface
bsh.NameSource.Listener

Packages that use NameSource.Listener
Package
Description
bsh
bsh.classpath

## Uses of NameSource.Listener in bsh

Methods in bsh with parameters of type NameSource.Listener
Modifier and Type
Method
Description
`void`
NameSource.`addNameSourceListener(NameSource.Listener listener)`
`void`
NameSpace.`addNameSourceListener(NameSource.Listener listener)`
Implements NameSource Add a listener who is notified upon changes to names in this space.

## Uses of NameSource.Listener in bsh.classpath

Methods in bsh.classpath with parameters of type NameSource.Listener
Modifier and Type
Method
Description
`void`
BshClassPath.`addNameSourceListener(NameSource.Listener listener)`
Implements NameSource Add a listener who is notified upon changes to names in this space.